#!/bin/sh

export DEBIAN_FRONTEND=noninteractive
sudo ln -fs /usr/share/zoneinfo/Indian/Reunion /etc/localtime
sudo apt-get install -y tzdata
sudo dpkg-reconfigure --frontend noninteractive tzdata

sudo apt-get update
sudo apt-get install -y wget apt-transport-https software-properties-common
wget -q https://packages.microsoft.com/config/ubuntu/20.04/packages-microsoft-prod.deb
sudo dpkg -i packages-microsoft-prod.deb
rm packages-microsoft-prod.deb
sudo apt-get update
sudo add-apt-repository universe
sudo apt-get install -y powershell
chsh -s /usr/bin/pwsh

sudo wget https://github.com/JanDeDobbeleer/oh-my-posh/releases/latest/download/posh-linux-amd64 -O /usr/local/bin/oh-my-posh
sudo chmod +x /usr/local/bin/oh-my-posh

pwsh -c ./shell/setup.ps1
pwsh -c ./git/setup.ps1
pwsh -c ./ssh/setup.ps1
pwsh

